### Hierarchy

- Controller

## Index

### Properties

- active_
- back
- backButton_
- header_
- slid_

### Methods

- backIfActive
- back_
- init
- updateNavigationHeader_

## Properties

### active_

active_: JQuery<HTMLElement>

- Defined in src/mobile/navigation/component.js:126

Currently active sliding box.

### back

back: () => void

- Defined in src/mobile/navigation/component.js:147

#### Type declaration

- - (): void

  - Return to the previous slide.

    #### Returns void

### backButton_

backButton_: JQuery<HTMLElement>

- Defined in src/mobile/navigation/component.js:140

The back button in the navigation header.

### header_

header_: JQuery<HTMLElement>

- Defined in src/mobile/navigation/component.js:133

The navigation header.

### slid_

slid_: JQuery<HTMLElement>[]

- Defined in src/mobile/navigation/component.js:119

Stack of slid-in items.

## Methods

### backIfActive

- backIfActive(element: Element): void

- - Defined in src/mobile/navigation/component.js:293

  Return to the previous slide if the given element is active.

  #### Parameters

  - ##### element: Element

    The element to check.

  #### Returns void

### back_

- back_(): void

- - Defined in src/mobile/navigation/component.js:262

  Return to the previous slide.

  #### Returns void

### init

- init(element: JQuery<HTMLElement>): void

- - Defined in src/mobile/navigation/component.js:157

  Initialize the directive with the linked element.

  #### Parameters

  - ##### element: JQuery<HTMLElement>

    Element.

  #### Returns void

### updateNavigationHeader_

- updateNavigationHeader_(active: JQuery<HTMLElement>, back: boolean): void

- - Defined in src/mobile/navigation/component.js:209

  #### Parameters

  - ##### active: JQuery<HTMLElement>

    The currently active sliding box.

  - ##### back: boolean

    Whether to move back.

  #### Returns void

Generated using TypeDoc